|  | Home | Documentation | uddi2__find_USCOREbusiness Class Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
uddi2__find_USCOREbusiness Class Reference

Schema urn:uddi-org:api_v2:"find_business". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREbusiness:
[legend]

## Public Member Functions

| uddi2__find_USCOREbusiness (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbusiness (struct soap *, const char *name)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbusiness (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREbusiness (struct soap *, std::vector< uddi2__keyedReference * > keyedReferences)
| Member declared in uddi2-typemap.dat.
uddi2__businessList * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.

## Public Attributes

uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
uddi2__tModelBag * | tModelBag
| Element reference "urn:uddi-org:api_v2":tModelBag.
uddi2__discoveryURLs * | discoveryURLs
| Element reference "urn:uddi-org:api_v2":discoveryURLs.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_business".

Represents a request to locate businesses that meet specific requirements. When the send method is called, the instance returns a uddi2__businessList object that contains a list of business that matched the search criteria.

See @url http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137713

See also Code Example 2: Finding a business.

## Constructor & Destructor Documentation

## ◆ uddi2__find_USCOREbusiness() [1/4]

uddi2__find_USCOREbusiness::uddi2__find_USCOREbusiness | ( | struct soap * | soap | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREbusiness class.

## ◆ uddi2__find_USCOREbusiness() [2/4]

uddi2__find_USCOREbusiness::uddi2__find_USCOREbusiness | ( | struct soap * | soap,
|  | const char * | name )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREbusiness class using the specified name of the requested business.

## ◆ uddi2__find_USCOREbusiness() [3/4]

uddi2__find_USCOREbusiness::uddi2__find_USCOREbusiness | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREbusiness class using the specified tModel keys.

## ◆ uddi2__find_USCOREbusiness() [4/4]

uddi2__find_USCOREbusiness::uddi2__find_USCOREbusiness | ( | struct soap * | soap,
|  | std::vector< uddi2__keyedReference * > | keyedReferences )

Member declared in uddi2-typemap.dat.

Parameters

  [in] | soap | gSOAP context

Creates an instance of the find_USCOREbusiness class using the specified category references.

## Member Function Documentation

## ◆ send()

uddi2__businessList * uddi2__find_USCOREbusiness::send | ( | const char * | endpoint | ) |

Member declared in uddi2-typemap.dat.

Parameters

  [in] | endpoint | URL of the UDDI server

Returns
  A pointer to a uddi2__businessList object or NULL on error

Send a request to a UDDI server to find a list of businesses.

See also Code Example 2: Finding a business.

## Member Data Documentation

## ◆ categoryBag

uddi2__categoryBag* uddi2__find_USCOREbusiness::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

## ◆ discoveryURLs

uddi2__discoveryURLs* uddi2__find_USCOREbusiness::discoveryURLs

Element reference "urn:uddi-org:api_v2":discoveryURLs.

Optional element

## ◆ findQualifiers

uddi2__findQualifiers* uddi2__find_USCOREbusiness::findQualifiers

Element reference "urn:uddi-org:api_v2":findQualifiers.

Optional element

## ◆ generic

char* uddi2__find_USCOREbusiness::generic

Attribute generic of type xs:string.

Required attribute

## ◆ identifierBag

uddi2__identifierBag* uddi2__find_USCOREbusiness::identifierBag

Element reference "urn:uddi-org:api_v2":identifierBag.

Optional element

## ◆ maxRows

int* uddi2__find_USCOREbusiness::maxRows

Attribute maxRows of type xs:int.

Optional attribute

## ◆ name

std::vector<uddi2__name* > uddi2__find_USCOREbusiness::name

Vector of uddi2__name* with length 0..unbounded.

## ◆ soap

struct soap* uddi2__find_USCOREbusiness::soap

A handle to the soap struct context that manages this class instance.

## ◆ tModelBag

uddi2__tModelBag* uddi2__find_USCOREbusiness::tModelBag

Element reference "urn:uddi-org:api_v2":tModelBag.

Optional element

The documentation for this class was generated from the following file:

- uddi_v2.h